Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Gentoo User (http://www.linux-archive.org/gentoo-user/)
-   -   vmware-server-console: version `GCC_3.4' not found (http://www.linux-archive.org/gentoo-user/69585-vmware-server-console-version-gcc_3-4-not-found.html)

"Vladimir Rusinov" 04-14-2008 04:22 PM

vmware-server-console: version `GCC_3.4' not found
 
Hello!

I'm dealing with this bug:
http://bugs.gentoo.org/show_bug.cgi?id=217650

I'm not able to run vmware-server-console-1.0.5

$ eix vmware-server-console
[D] app-emulation/vmware-server-console
Installed versions: 1.0.5.80187(14:04:36 14.04.2008)

$ vmware-server-console
/opt/vmware/server/console/lib/bin/vmware-server-console:
/opt/vmware/server/console/lib/lib/libgcc_s.so.1/libgcc_s.so.1: version
`GCC_3.4' not found (required by /usr/lib/libcairo.so.2)
/opt/vmware/server/console/lib/bin/vmware-server-console:
/opt/vmware/server/console/lib/lib/libgcc_s.so.1/libgcc_s.so.1: version
`GCC_3.4' not found (required by /usr/lib/libcairo.so.2)
/opt/vmware/server/console/lib/bin/vmware-server-console:
/opt/vmware/server/console/lib/lib/libgcc_s.so.1/libgcc_s.so.1: version
`GCC_3.4' not found (required by /usr/lib/libcairo.so.2)

eix ^gcc$
[i] sys-devel/gcc
Installed versions: 4.2.0(4.2)(18:40:42 16.09.2007)(-altivec -bootstrap
-build doc fortran -gcj -gtk -hardened -ip28 -ip32r10k mudflap -multilib
-multislot -n32 -n64 nls -nocxx -objc -objc++ -objc-gc openmp -test -vanilla)

$ eix libstdc
[i] sys-libs/libstdc++-v3
Installed versions: 3.3.6(5)(02:07:19 10.09.2007)(-build -multilib nls
nptl)

[i] virtual/libstdc++
Installed versions: 3.3(3.3)(03:22:09 13.06.2007)

revdep-rebuild and installing gcc-3.4.6-r2 does not helps

Any suggestions how to fix this?

--
Vladimir Rusinov
Voronezh, Russia
UNIX Admin @ Murano Software
--
gentoo-user@lists.gentoo.org mailing list

"Vladimir Rusinov" 04-15-2008 10:14 AM

vmware-server-console: version `GCC_3.4' not found
 
On Tue, Apr 15, 2008 at 3:58 AM, William Kenworthy <billk@iinet.net.au> wrote:
> quick fix: locate the equivalent system libraries, move the problematic
> vmware ones out of the way and symlink to the system libs. Works fine
> with vmware workstation. And wait for gentoo/vmware to catch up and fix
> with the next iteration ...
>
> I am using vmware-workstation 5, and cant justify the cost of upgrading
> - not sure if this is 5 specific or a wider problem, but there are a few
> messages in google about it.

Thanks, I've already found a solution (thanks to Mike Auty on bugzilla):

"Thanks, this is a known problem. The version in the vmware overlay should
include the fix, which is to remove
/opt/vmware/server/console/lib/lib/libgcc_s.so.1/libgcc_s.so.1. It seems to be
causing the issues and doesn't appear to be vital (in fact, using the system
provided one is generally a better idea). We'll try and get this into the tree
as soon as we can. Thanks again for reporting this... 5:)"

--
Vladimir Rusinov
Voronezh, Russia
UNIX Admin @ Murano Software
--
gentoo-user@lists.gentoo.org mailing list


All times are GMT. The time now is 07:15 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.